---------------------------------------------------------------------------------
-- Filename : rs232_rx.vhd
-- ========== 
-- 
-- Beschreibung : Empfang von Daten ueber die RS232 Schnittstelle
-- ==============
--
-- Autoren : Martin Perner, Schwarz Manfred
-- =========
----------------------------------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

use work.common_pkg.all;
use work.core_pkg.all;
use work.extension_uart_pkg.all;

entity rs232_rx is
	generic	(
		-- active reset value
		RESET_VALUE : std_logic;
		SYNC_STAGES : integer range 2 to integer'high
		);

	port(
		--System inputs
		sys_clk : in std_logic;
		sys_res_n : in std_logic;

		--Bus
		bus_rx_unsync : in std_logic;

		--To sendlogic
		new_rx_data : out std_logic;
		rx_data : out uart_data;
		bd_rate : in baud_rate_l
	);

end rs232_rx;
